interface IpcClient {
    send(channel: 'rsipc-emit', method: string, data: string): void;
}
interface IpcEvent extends Event {
    sender: IpcClient;
}
interface IpcService {
    handle(channel: 'rsipc-request', listener: (event: IpcEvent, name: string, method: string, data: string) => Promise<string>): void;
    handle(channel: 'rsipc-emit', listener: (event: IpcEvent, method: string, data: string) => unknown): void;
}
export declare const NewServiceBridge: (ipc: IpcService) => void;
export {};
